Page MenuHomePhabricator

Update references to 'master' branch.
ClosedPublic

Authored by abidh on Dec 8 2020, 4:00 AM.

Details

Summary

Replace 'master' with 'main' in instructions on how to create and push patches.

Diff Detail

Event Timeline

abidh requested review of this revision.Dec 8 2020, 4:00 AM
abidh created this revision.

Thanks for this.
The proposed changes all LGTM.
I did do a grep on the term 'master' in llvm/docs, and found quite a few more uses of 'master', especially in links.
The command I used was: grep -R master llvm/docs/
Just two examples are:

llvm/docs/CodingStandards.rst:<https://github.com/llvm/llvm-project/tree/master/llvm/include/llvm/ADT>`_)
llvm/docs/GitBisecting.rst:being able to reset, do the usual ``git checkout -f master; git reset --hard

Would you also be willing to adapt/fix the URLs pointing to llvm-project in that directory?

Thanks,

Kristof

abidh added a comment.Dec 9 2020, 2:51 PM

Thanks for this.
The proposed changes all LGTM.
I did do a grep on the term 'master' in llvm/docs, and found quite a few more uses of 'master', especially in links.
The command I used was: grep -R master llvm/docs/
Just two examples are:

llvm/docs/CodingStandards.rst:<https://github.com/llvm/llvm-project/tree/master/llvm/include/llvm/ADT>`_)
llvm/docs/GitBisecting.rst:being able to reset, do the usual ``git checkout -f master; git reset --hard

Would you also be willing to adapt/fix the URLs pointing to llvm-project in that directory?

Thanks,

Kristof

Thanks for having a look. I will update the patch as suggested.

abidh updated this revision to Diff 310704.Dec 9 2020, 4:08 PM
abidh added a reviewer: kristof.beyls.

Updated other instances in llvm/docs. I have initially updated the whole tree but that becomes quite a big patch. I can post that one if it is of interest.

kristof.beyls added inline comments.Dec 10 2020, 12:09 AM
llvm/docs/CompileCudaWithLLVM.rst
147 ↗(On Diff #310704)

For the llvm-test-suite project (rather than the llvm-project project), there is no main branch yet.
So if we'd commit this as is, that would break the link.

@sqlbyme did you have a timeline for when you'd expect to also add a main branch in llvm-test-suite.
If that is expected to happen soon, maybe it's simplest to just wait for that to happen and then commit this patch as a whole?

abidh added inline comments.Dec 10 2020, 4:20 AM
llvm/docs/CompileCudaWithLLVM.rst
147 ↗(On Diff #310704)

Thanks for catching this. It was an oversight. I will remove it from the patch as there are other locations which refers https://github.com/llvm/llvm-test-suite which I had not touched. We can update them when they have a main branch of their own.

abidh updated this revision to Diff 310837.Dec 10 2020, 4:22 AM

Remove an unintended change.

sammccall accepted this revision.Dec 15 2020, 6:02 AM

All the changes listed here look good. (I haven't verified there are no others)

This revision is now accepted and ready to land.Dec 15 2020, 6:02 AM
kristof.beyls accepted this revision.Dec 15 2020, 8:07 AM

LGTM too, thanks!

This revision was automatically updated to reflect the committed changes.